aboutsummaryrefslogtreecommitdiffstats
path: root/main
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2011-03-11 23:04:10 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2011-03-11 23:04:10 +0000
commit6d6d7905425b2b37a99d6d53d0168fa51def66a1 (patch)
treeb42a297fea0474cffab6f455fd2142560092a935 /main
parentab05b36d3db72b03aced07d0099d869672c20496 (diff)
downloadaports-6d6d7905425b2b37a99d6d53d0168fa51def66a1.tar.gz
aports-6d6d7905425b2b37a99d6d53d0168fa51def66a1.tar.bz2
aports-6d6d7905425b2b37a99d6d53d0168fa51def66a1.tar.xz
main/gtkman: moved from testing
Diffstat (limited to 'main')
-rw-r--r--main/gtkman/APKBUILD38
1 files changed, 38 insertions, 0 deletions
diff --git a/main/gtkman/APKBUILD b/main/gtkman/APKBUILD
new file mode 100644
index 0000000000..85dd18a989
--- /dev/null
+++ b/main/gtkman/APKBUILD
@@ -0,0 +1,38 @@
+# Contributor: Natanael Copa <ncopa@alpinelinux.org>
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=gtkman
+pkgver=0.3
+pkgrel=0
+pkgdesc="GTK+2 manual page viewer"
+url="http://www.salixos.org/wiki/index.php/GTKMan"
+arch="noarch"
+license="GPLv3"
+depends="py-gtk"
+depends_dev=
+makedepends="gettext intltool"
+install=""
+subpackages=
+source="http://people.salixos.org/gapan/gtkman/gtkman-$pkgver.tar.gz"
+
+_builddir="$srcdir"/gtkman
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ ./compile.sh || return 1
+}
+
+package() {
+ cd "$_builddir"
+ DESTDIR="$pkgdir" ./install.sh || return 1
+}
+
+md5sums="2441a347fb29a5f3d744000c01b4b42e gtkman-0.3.tar.gz"